####
#### Read in reference data set for the region of interest
####
## Only genotype data are used.  Modify the code below if your reference
## file has different number of unused columns.
hapmap = read.table("HapMap.txt", header=T)
geno.ref = hapmap[,-(1:6)]
rs.ref = names(hapmap)[-(1:6)]


####
#### Read in data to be analyzed
####
## Only genotype data AND the PHENOTYPE column are used.  Modify the code
## below if your data file has different number of unused columns.
indata = read.table("test.txt", header=T)
pheno = indata$PHENOTYPE - 1  ## recode phenotype from 1/2 to 0/1
geno.test = as.matrix(indata[,-(1:6)])
rs.test = names(indata)[-(1:6)]


## See ATOM.r for detailed explanations of the arguments of ATOM().
source("ATOM.r")

## Use the default settings: cutoff = c(.8,.9,.95,.99,.999), Nperm = 1000
ATOM(pheno, geno.test, geno.ref, mkpos = match(rs.test, rs.ref))

## Use a different set of cutoff values and 10,000 permutations
ATOM(pheno, geno.test, geno.ref, mkpos = match(rs.test, rs.ref),
     cutoff = c(.9,.95,.99), Nperm = 10000)
